=== debian/changelog ===
gtimelog (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * Remove runtime dep on python3-setuptools
  * Install missing .png
  * It built (Closes: #1079199)

  [ sid ]
  * Install appstream metadata to /usr/share/metainfo

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Jan 2025 12:31:18 +0100

gtimelog (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.7.0.
  
  [ Alexandre Detiste ]
  * debian/control: Add missing gir1.2-secret-1 dependency.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Jun 2024 20:27:45 -0400

gtimelog (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.12.0
  * Switch to libsoup3.0
  * Use new dh-sequence-python3
  * Set Rules-Requires-Root: no

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 13 Apr 2024 12:22:54 +0200
